﻿using Rhino.PlugIns;
using Rhino.UI;

namespace PanelBug_Rh6_Sr1
{
    public class PanelBugRh6Sr1PlugIn : PlugIn
    {
        public PanelBugRh6Sr1PlugIn()
        {
            Instance = this;
        }

        public static PanelBugRh6Sr1PlugIn Instance { get; private set; }

        protected override LoadReturnCode OnLoad(ref string errorMessage)
        {
            Panels.RegisterPanel(this, typeof(PanelTestCtrl1), "Panel 1", System.Drawing.SystemIcons.Application);
            Panels.RegisterPanel(this, typeof(PanelTestCtrl2), "Panel 2", System.Drawing.SystemIcons.Application);
            return base.OnLoad(ref errorMessage);
        }
    }
}