﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Runtime.InteropServices;
using System.Windows.Forms;
using Rhino;
using Rhino.UI;

namespace PanelBug_Rh6_Sr1
{
    [Guid(GUID)]
    public partial class PanelTestCtrl2 : UserControl
    {
        private const string GUID = "1F554CB0-02E9-42F0-BE5E-60E09948A490";

        public PanelTestCtrl2()
        {
            InitializeComponent();
            RhinoApp.WriteLine("Panel 2 Show event registered");
            Panels.Show += Panels_Show;
            RhinoApp.WriteLine("Panel 2 Closed event registered");
            Panels.Closed += Panels_Closed;
        }

        public static Guid Id => new Guid(GUID);

        private static void Panels_Closed(object sender, PanelEventArgs e)
        {
            if (e.PanelId != Id) return;
            RhinoApp.WriteLine("Panel  Closed raised");
        }

        private static void Panels_Show(object sender, ShowPanelEventArgs e)
        {
            if (e.PanelId != Id) return;
            RhinoApp.WriteLine($"Panel 2 Show raised = {e.Show}");
        }

        private void PanelTestCtrl_VisibleChanged(object sender, EventArgs e)
        {
            RhinoApp.WriteLine($"Panel 2 VisibleChanged Raised Visible={Visible}");
        }
    }
}